New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Settings

Set ROCm flash attention

PUT
/api/v1/settings/rocm-flash-attention

Toggle AOTriton flash attention. Takes effect on the next launch.

Query Parameters

enabled*Enabled

Enable or disable AOTriton flash attention

Response Body

Successful Response

application/json
  1. response
success*Success

Whether the operation succeeded

changed*Changed

Whether the setting was actually changed

needs_restart*Needs Restart

Whether the app must restart for the change to take effect

Example Request
curl -X PUT 'http://127.0.0.1:8100/api/v1/settings/rocm-flash-attention?enabled=true'
Example Response
{  "success": true,  "changed": true,  "needs_restart": true}